<?php 
	require_once('const.php');
	define('MY_FILE', 'edit.php');
	define('GET_FEED_FILE', 'getrss.php');
	define('MAX_DIVISION', 20);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="ja">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<meta name="robots" content="noindex,nofollow,noarchive">
		<meta name="copyright" content="LOGICRAFT">
		<title>相互リンク登録システム｜QuickLinker</title>
		<style type="text/css">
			*{
				font-family:'Lucida Grande','Hiragino Kaku Gothic ProN', Meiryo, sans-serif;
				margin:0;
				padding:0;
			}
			html{
				font-size:12px;
				background:#ffffff;
			}
			body{
				font-size:12px;
				color:#000000;
				background:#ffffff;
			}
			h1{
				color:#0000a0;
				font-size:20px;
				margin: 4px 4px 4px 4px;
			}
			p{
				color:#000000;
				margin: 4px 4px 4px 4px;
			}
			form{
				display:inline-block;
			}
			input{
				color:#000000;
				padding:2px 4px 2px 4px;
				margin: 4px 4px 4px 4px;
			}
			.short_hr{
				width:500px;
			}
			.colorbox{
				display:inline-block;
				vertical-align:middle;
				width:24px;
				height:24px;
			}
			.press{
				display: inline-block;
				padding:4px 4px 4px 4px;
				margin: 4px 2px 4px 2px;
				border: 1px #909090 solid;
				background:linear-gradient(#ffffff,#d0d0d0);
				color:#000000;
				cursor:pointer;
			}
			.notpress{
				display: inline-block;
				padding:4px 4px 4px 4px;
				margin: 4px 2px 4px 2px;
				border: 1px #909090 solid;
				background:#ffffff;
				color:#909090;
			}
			table{
				border-collapse:collapse;
				border-spacing:0;
				margin: 4px 4px 4px 4px;
			}
			td{
				text-align:center;
				border: 1px #000000 solid;
			}
			.quicklinker_success_message {
				display: inline-block;
				font-size:12px;
				color:#00b000;
				background:#ffffff;
				padding:10px 10px;
				border: 1px #00b000 solid;
				margin: 14px 4px 14px 4px;
			}
			.quicklinker_failure_message {
				display: inline-block;
				font-size:12px;
				color:#cc0000;
				background:#ffffff;
				padding:10px 10px;
				border: 1px #cc0000 solid;
				margin: 14px 4px 14px 4px;
			}
		</style>
	</head>
	<body>
		<?php 
			$postkey=array();
			$postkey[]='page';
			$postkey[]='status';
			$postkey[]='division';
			$postkey[]='s_domain';
			$postkey[]='s_email';
			$postkey[]='s_b_width';
			$postkey[]='s_b_height';
			$postkey[]='s_url';
			$postkey[]='s_password';
			$postkey[]='s_sitename';
			$postkey[]='s_rss';
			$postkey[]='s_l_time';
			$postkey[]='s_l_count';
			$postkey[]='s_m_width';
			$postkey[]='s_m_height';
			$postkey[]='s_r_img';
			$postkey[]='s_r_width';
			$postkey[]='s_r_height';
			$postkey[]='s_color';
			$postkey[]='s_display';
			$postkey[]='s_rule_a';
			$postkey[]='s_rule_b';
			$postkey[]='s_count';
            $postkey[]='s_rule_c';
            $postkey[]='s_rule_d';
            $postkey[]='s_charlength';
            $postkey[]='s_rule_e';
            $postkey[]='s_display_rss';
            $postkey[]='s_display_ban';
            $postkey[]='s_limit_acess';
			foreach($postkey as $value){
				$post[$value]=false;
				if(!empty($_POST[$value])){
					$post[$value]=$_POST[$value];
				}
			}
			if($post['division']==false){
				$post['division']=0;
			}
			$html_v='';
			// 設定ページ
			if($post['page']=='setup'){
				// 設定の保存
				if($post['status']=='add'){
					$CheckFlag=false;
                    $imginfo = @getimagesize($post['s_r_img']);
                    if($imginfo){
                        $pro_r_img=$post['s_r_img'];
                        $pro_r_w=$imginfo[0];
                        $pro_r_h=$imginfo[1];
                    }else{
                        $pro_r_img='';
                        $pro_r_w=0;
                        $pro_r_h=0;
                    }
                    $my_url=$_SERVER["HTTP_HOST"];
                    if(isset($_SERVER['HTTPS']) && ($_SERVER['HTTPS'] == 'on')){
                        $my_url='https://'.$my_url;
                    }else{
                        $my_url='http://'.$my_url;
                    }
                    $my_cssurl=$my_url.dirname($_SERVER["REQUEST_URI"]).'/quicklinker.css';
                    $provisional_set=array($post['s_domain'],
											$post['s_email'],
											$post['s_b_width'],
											$post['s_b_height'],
											$post['s_url'],
											$post['s_password'],
											$post['s_sitename'],
											$post['s_rss'],
											$post['s_l_time'],
											$post['s_l_count'],
											$post['s_m_width'],
											$post['s_m_height'],
											$pro_r_img,
											$pro_r_w,
											$pro_r_h,
											$post['s_color'],
											$post['s_display'],
											$post['s_rule_a'],
											$post['s_rule_b'],
											$post['s_count'],
                                            $my_cssurl,
											$post['s_rule_c'],
											$post['s_rule_d'],
											$post['s_charlength'],
                                            $post['s_rule_e'],
                                            $post['s_display_rss'],
                                            $post['s_display_ban'],
                                            $post['s_limit_acess']);
					if(checkSettingValue($provisional_set,$err_msg)){
						$SettingData[0]=$provisional_set;
						if(arrayPutCsv(SETUP_FILE,$SettingData)){
							makeLinkPage();
							$CheckFlag=true;
						}
					}
				}
				// セッティングデータのロード
				$SettingData=loadSetting();
				// ログイン認証
				if($post['s_password']==$SettingData[0][5]){
					$html_v.='<h1>設定｜相互リンク登録システム</h1>';
					$html_v.='<p><form name="form_change" method="post" action="'.MY_FILE.'">';
					$html_v.='<input type="hidden" name="page" value="edit"></input>';
					$html_v.='<input type="hidden" name="s_password" value="'.$post['s_password'].'"></input>';
					$html_v.='<input type="submit" value="登録リンクの編集" />';
					$html_v.='</form>&nbsp;';
					$html_v.='<form name="form_getfeed" method="post" action="'.GET_FEED_FILE.'">';
					$html_v.='<input type="hidden" name="AuthCode" value="'.$post['s_password'].'"></input>';
					$html_v.='<input type="submit" value="RSSフィード取得" />';
					$html_v.='</form>&nbsp;';
					$html_v.='<a href="link.php" target="_blank">サンプルを確認する</a></p>';
					$html_v.='<hr>';
					$html_v.='<form name="form_setting" method="post" action="'.MY_FILE.'">';
					$html_v.='<p>パスワード：</p>';
					$html_v.='<p><input type="text" name="s_password" maxlength="8" style="width:100px;ime-mode:disabled;" value="'.exchange_char($SettingData[0][5],"HTML").'" /></p>';
					$html_v.='<hr class="short_hr">';
					$html_v.='<p>サイト名：</p>';
					$html_v.='<p><input type="text" name="s_sitename" maxlength="100" style="width:300px;ime-mode:disabled;" value="'.exchange_char($SettingData[0][6],"HTML").'" /></p>';
					$html_v.='<p>URL：</p>';
					$html_v.='<p><input type="text" name="s_url" maxlength="255" style="width:300px;ime-mode:disabled;" value="'.exchange_char($SettingData[0][4],"HTML").'" /></p>';
					$html_v.='<p>RSS：</p>';
					$html_v.='<p><input type="text" name="s_rss" maxlength="255" style="width:300px;ime-mode:disabled;" value="'.exchange_char($SettingData[0][7],"HTML").'" /></p>';
					$html_v.='<p>管理者メールアドレス：</p>';
					$html_v.='<p><input type="text" name="s_email" maxlength="255" style="width:300px;ime-mode:disabled;" value="'.exchange_char($SettingData[0][1],"HTML").'" /></p>';
					$html_v.='<p>ドメイン：</p>';
					$html_v.='<p><input type="text" name="s_domain" maxlength="255" style="width:300px;ime-mode:disabled;" value="'.exchange_char($SettingData[0][0],"HTML").'" /></p>';
					$html_v.='<p>RSSの項目表示：</p>';
                    if($SettingData[0][25]==1){
						$html_v.='<p><input type="radio" name="s_display_rss" value="0">表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_display_rss" value="1" checked>非表示</input></p>';
					}else{
						$html_v.='<p><input type="radio" name="s_display_rss" value="0" checked>表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_display_rss" value="1">非表示</input></p>';
					}
                    $html_v.='<p>バナーURLの項目表示：</p>';
                    if($SettingData[0][26]==1){
						$html_v.='<p><input type="radio" name="s_display_ban" value="0">表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_display_ban" value="1" checked>非表示</input></p>';
					}else{
						$html_v.='<p><input type="radio" name="s_display_ban" value="0" checked>表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_display_ban" value="1">非表示</input></p>';
					}
                    $html_v.='<p>バナーサイズ：</p>';
					$html_v.='<p>x：<input type="text" name="s_b_width" maxlength="4" style="width:50px;ime-mode:disabled;" value="'.exchange_char($SettingData[0][2],"HTML").'" />&nbsp;';
					$html_v.='y：<input type="text" name="s_b_height" maxlength="4" style="width:50px;ime-mode:disabled;" value="'.exchange_char($SettingData[0][3],"HTML").'" /></p>';
					$html_v.='<p>リンク表示：</p>';
					if($SettingData[0][16]==1){
						$html_v.='<p><input type="radio" name="s_display" value="0">バナーなし</input>&nbsp;';
						$html_v.='<input type="radio" name="s_display" value="1" checked>バナーあり</input>&nbsp;';
						$html_v.='<input type="radio" name="s_display" value="2">RSSフィード</input>&nbsp;';
						$html_v.='<input type="radio" name="s_display" value="3">RSSフィード（テキストのみ）</input></p>';
					}elseif($SettingData[0][16]==2){
						$html_v.='<p><input type="radio" name="s_display" value="0">バナーなし</input>&nbsp;';
						$html_v.='<input type="radio" name="s_display" value="1">バナーあり</input>&nbsp;';
						$html_v.='<input type="radio" name="s_display" value="2" checked>RSSフィード</input>&nbsp;';
						$html_v.='<input type="radio" name="s_display" value="3">RSSフィード（テキストのみ）</input></p>';
					}elseif($SettingData[0][16]==3){
						$html_v.='<p><input type="radio" name="s_display" value="0">バナーなし</input>&nbsp;';
						$html_v.='<input type="radio" name="s_display" value="1">バナーあり</input>&nbsp;';
						$html_v.='<input type="radio" name="s_display" value="2">RSSフィード</input>&nbsp;';
						$html_v.='<input type="radio" name="s_display" value="3" checked>RSSフィード（テキストのみ）</input></p>';
					}else{
						$html_v.='<p><input type="radio" name="s_display" value="0" checked>バナーなし</input>&nbsp;';
						$html_v.='<input type="radio" name="s_display" value="1">バナーあり</input>&nbsp;';
						$html_v.='<input type="radio" name="s_display" value="2">RSSフィード</input>&nbsp;';
						$html_v.='<input type="radio" name="s_display" value="3">RSSフィード（テキストのみ）</input></p>';
					}
					$html_v.='<p>背景色：</p>';
					$html_v.='<p><input type="text" name="s_color" maxlength="7" style="width:100px;ime-mode:disabled;" value="'.exchange_char($SettingData[0][15],"HTML").'" /><span class="colorbox" style="background-color:'.exchange_char($SettingData[0][15],"HTML").'"></span></p>';
					$html_v.='<p>最大リンク表示数：</p>';
					$html_v.='<p><input type="text" name="s_count" maxlength="4" style="width:50px;ime-mode:disabled;" value="'.exchange_char($SettingData[0][19],"HTML").'" /></p>';
					$html_v.='<p>リンクファイルに直接CSSのリンクタグを貼り付ける：</p>';
                    if($SettingData[0][24]==1){
						$html_v.='<p><input type="radio" name="s_rule_e" value="1" checked>する</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_e" value="0">しない</input></p>';
					}else{
						$html_v.='<p><input type="radio" name="s_rule_e" value="1">する</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_e" value="0" checked>しない</input></p>';
					}
                    $html_v.='<hr class="short_hr">';
                    $html_v.='<p>サイト名の表示： ※RSSフィードのみ</p>';
					if($SettingData[0][21]==1){
						$html_v.='<p><input type="radio" name="s_rule_c" value="1" checked>表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_c" value="0">非表示</input></p>';
					}else{
						$html_v.='<p><input type="radio" name="s_rule_c" value="1">表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_c" value="0" checked>非表示</input></p>';
					}
                    $html_v.='<p>記事タイトルの表示： ※RSSフィードのみ</p>';
					if($SettingData[0][22]==1){
						$html_v.='<p><input type="radio" name="s_rule_d" value="1" checked>表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_d" value="0">非表示</input></p>';
					}else{
						$html_v.='<p><input type="radio" name="s_rule_d" value="1">表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_d" value="0" checked>非表示</input></p>';
					}
                    $html_v.='<p>記事タイトルの最大文字数：</p>';
					$html_v.='<p><input type="text" name="s_charlength" maxlength="2" style="width:50px;ime-mode:disabled;" value="'.exchange_char($SettingData[0][23],"HTML").'" /></p>';
                    $html_v.='<p>RSSフィードがない場合：</p>';
					if($SettingData[0][17]==1){
						$html_v.='<p><input type="radio" name="s_rule_a" value="1" checked>表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_a" value="2">順位を下げて表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_a" value="0">非表示</input></p>';
					}elseif($SettingData[0][17]==2){
						$html_v.='<p><input type="radio" name="s_rule_a" value="1">表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_a" value="2" checked>順位を下げて表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_a" value="0">非表示</input></p>';
					}else{
						$html_v.='<p><input type="radio" name="s_rule_a" value="1">表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_a" value="2">順位を下げて表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_a" value="0" checked>非表示</input></p>';
					}
					$html_v.='<p>RSSフィードに画像がない場合：</p>';
					if($SettingData[0][18]==1){
						$html_v.='<p><input type="radio" name="s_rule_b" value="1" checked>表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_b" value="2">順位を下げて表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_b" value="0">非表示</input></p>';
					}elseif($SettingData[0][18]==2){
						$html_v.='<p><input type="radio" name="s_rule_b" value="1">表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_b" value="2" checked>順位を下げて表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_b" value="0">非表示</input></p>';
					}else{
						$html_v.='<p><input type="radio" name="s_rule_b" value="1">表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_b" value="2">順位を下げて表示</input>&nbsp;';
						$html_v.='<input type="radio" name="s_rule_b" value="0" checked>非表示</input></p>';
					}
					$html_v.='<p>RSSフィード取得 1回あたりにかける時間：</p>';
					$html_v.='<p><input type="text" name="s_l_time" maxlength="3" style="width:50px;ime-mode:disabled;" value="'.exchange_char($SettingData[0][8],"HTML").'" />sec</p>';
					$html_v.='<p>RSSフィード取得 1回あたりの最大取得件数：</p>';
					$html_v.='<p><input type="text" name="s_l_count" maxlength="3" style="width:50px;ime-mode:disabled;" value="'.exchange_char($SettingData[0][9],"HTML").'" /></p>';
					$html_v.='<p>RSSフィードに画像があるの場合、保存する画像の最低サイズ：</p>';
					$html_v.='<p>x：<input type="text" name="s_m_width" maxlength="4" style="width:50px;ime-mode:disabled;" value="'.exchange_char($SettingData[0][10],"HTML").'" />&nbsp;';
					$html_v.='y：<input type="text" name="s_m_height" maxlength="4" style="width:50px;ime-mode:disabled;" value="'.exchange_char($SettingData[0][11],"HTML").'" /></p>';
					$html_v.='<p>RSSフィードに画像がないの場合、差し替え用画像：</p>';
					$html_v.='<p><input type="text" name="s_r_img" maxlength="255" style="width:300px;ime-mode:disabled;" value="'.exchange_char($SettingData[0][12],"HTML").'" /></p>';
					$link_list_file=preg_replace('/\/quicklinker\/$/','/referercounter/setting.csv',dirname(__FILE__).'/');
					if(file_exists($link_list_file)){
						$html_v.='<hr class="short_hr">';
						$html_v.='<p>逆アクセス数が指定数を下回るものは非表示：</p>';
                        $html_v.='<p><input type="text" name="s_limit_acess" maxlength="6" style="width:50px;ime-mode:disabled;" value="'.exchange_char($SettingData[0][27],"HTML").'" /></p>';
					}
                    $html_v.='<hr id="result" class="short_hr">';
					if($post['status']=='add' && $CheckFlag==true){
						$html_v.='<p class="quicklinker_success_message"> ○ 設定を保存しました。</p>';
					}elseif($post['status']=='add'){
						$html_v.='<p class="quicklinker_failure_message"> × 設定の保存に失敗しました。</p>';
                        $html_v.='<pre style="color:#ff0000;">';
                        $html_v.=$err_msg;
                        $html_v.='</pre>';
					}
					$html_v.='<p><input type="submit" value="設定を保存する" /></p>';
					$html_v.='<input type="hidden" name="page" value="setup"></input>';
					$html_v.='<input type="hidden" name="status" value="add"></input>';
					$html_v.='</form>';
				}else{
					$html_v.='<h1>ログイン｜相互リンク登録システム</h1>';
					$html_v.='<hr>';
					$html_v.='<p class="quicklinker_failure_message"> × ログインに失敗しました。</p><br>';
					$html_v.='<p>入力されたパスワードは「'.$post['s_password'].'」でした。</p>';
				}
			// 登録リンク編集ページ
			}elseif($post['page']=='edit'){
				// 設定の保存
				if($post['status']=='add'){
					$CheckFlag=false;
					// リンクデータのロード
					$LinkData=arrayGetCsv(LINK_LIST_FILE,22);
					if($LinkData){
						$listno=0;
						$post_count=0;
						$listcount=count($_POST['rss']);
						foreach($LinkData as $l_value){
							if(($listno>=MAX_DIVISION*$post['division']) && ($listno<MAX_DIVISION*($post['division']+1))){
								if(!empty($_POST['rss'][$post_count])||!empty($_POST['url'][$post_count])){
									$SettingData[]=array($_POST['rss'][$post_count],
														$_POST['crawl'][$post_count],
														$_POST['place'][$post_count],
														$_POST['rank'][$post_count],
														$_POST['update'][$post_count],
														$_POST['url'][$post_count],
														$_POST['email'][$post_count],
														$_POST['password'][$post_count],
														$_POST['sitename'][$post_count],
														$_POST['introduct'][$post_count],
														$_POST['bannerurl'][$post_count],
														$_POST['bannerw'][$post_count],
														$_POST['bannerh'][$post_count],
														$_POST['linkedurl'][$post_count],
														$_POST['link'][$post_count],
														$_POST['title'][$post_count],
														$_POST['pubDate'][$post_count],
														$_POST['img'][$post_count],
														$_POST['imgw'][$post_count],
														$_POST['imgh'][$post_count],
														$_POST['replace'][$post_count],
														$_POST['rock'][$post_count],
														$_POST['access'][$post_count]);
								}
								$post_count++;
							}else{
								$SettingData[]=$l_value;
							}
							$listno++;
						}
					}
					if(!empty($_POST['new_rss'])||!empty($_POST['new_url'])){
						$SettingData[]=array($_POST['new_rss'],
											$_POST['new_crawl'],
											$_POST['new_place'],
											$_POST['new_rank'],
											$_POST['new_update'],
											$_POST['new_url'],
											$_POST['new_email'],
											$_POST['new_password'],
											$_POST['new_sitename'],
											$_POST['new_introduct'],
											$_POST['new_bannerurl'],
											$_POST['new_bannerw'],
											$_POST['new_bannerh'],
											$_POST['new_linkedurl'],
											$_POST['new_link'],
											$_POST['new_title'],
											$_POST['new_pubDate'],
											$_POST['new_img'],
											$_POST['new_imgw'],
											$_POST['new_imgh'],
											$_POST['new_replace'],
                                            $_POST['new_rock'],
                                            $_POST['new_access']);
					}
					if(!empty($SettingData)){
						if(arrayPutCsv(LINK_LIST_FILE,$SettingData)){
							$CheckFlag=makeLinkPage();
						}
					}
				}
				// リンクデータのロード
				$LinkData=arrayGetCsv(LINK_LIST_FILE,22);
				/* -------------------------------
				 column key
					0 :	rss			RSSアドレス
					1 :	crawl		RSS巡回・表示 0=しない 1=する(画像有) 2=する(画像なし)
					2 :	place		RSS記事の表示箇所 初期=0
					3 :	rank		リンク表示順位 0=非表示 値なし=最下位 昇順
					4 :	update		RSS取得日時 unixタイムスタンプ （最後に巡回した日時）
					5 :	url			サイトURL
					6 :	email		email
					7 :	password	パスワード
					8 :	sitename	サイト名
					9 :	introduct	紹介文
					10:	bannerurl	バナー画像 URL
					11:	bannerw		バナー画像 横幅
					12:	bannerh		バナー画像 縦幅
					13:	linkedurl	自サイトリンク登録先URL
					14:	link		記事URL
					15:	title		記事タイトル
					16:	pubDate		記事の日時
					17:	img			記事の画像 URL
					18:	imgw		記事の画像 横幅
					19:	imgh		記事の画像 縦幅
					20:	replace		置換文字
                    21:	rock		順位固定 0=固定しない 1=固定する
                    22:	access		アクセス数
				--------------------------------*/
				$html_v.='<h1>登録リンクの編集｜相互リンク登録システム</h1>';
				$html_v.='<p><form name="form_change" method="post" action="'.MY_FILE.'">';
				$html_v.='<input type="hidden" name="page" value="setup"></input>';
				$html_v.='<input type="hidden" name="s_password" value="'.$post['s_password'].'"></input>';
				$html_v.='<input type="submit" value="設定" />';
				$html_v.='</form>';
				$html_v.='&nbsp;';
				$html_v.='</form>';
				$html_v.='<form name="form_getfeed" method="post" action="'.GET_FEED_FILE.'">';
				$html_v.='<input type="hidden" name="AuthCode" value="'.$post['s_password'].'"></input>';
				$html_v.='<input type="submit" value="RSSフィード取得" />';
                $html_v.='</form>&nbsp;';
                $html_v.='<a href="link.php" target="_blank">サンプルを確認する</a></p>';
				$html_v.='<hr>';
				$html_v.='<p>巡回…RSSを読みに行く際の方法。 0=読み込まない 1=画像・タイトルを読み込む 2=タイトルのみ読み込む</p>';
				$html_v.='<p>表示箇所…RSSの記事の何番目を読み込む。 0=最初の記事 1~=以降の記事 </p>';
				$html_v.='<p>表示順…リンク表示の優先度。 0=表示しない 1~=昇順位 値なし=最下位 </p>';
				$html_v.='<p>順位固定…リンク表示の優先度の固定。 1=固定する 1以外=固定しない </p>';
				if($LinkData){
					$html_v.='<form name="form_division" method="post" action="'.MY_FILE.'">';
					$html_v.='<input type="hidden" name="page" value="edit"></input>';
					$html_v.='<input type="hidden" name="s_password" value="'.$post['s_password'].'"></input>';
					$html_v.='<p>ページ：';
					$division_page=count($LinkData)/MAX_DIVISION;
					for($i=0;$i<=$division_page;$i++){
						if($post['division']==$i){
							$html_v.='<span class="notpress">'.$i.'</span>';
						}else{
							$html_v.='<input class="press" type="submit" name="division" value="'.$i.'" />';
						}
					}
					$html_v.='</p>';
					$html_v.='</form>';
				}
				$html_v.='<form name="form_setting" method="post" action="'.MY_FILE.'">';
				if($LinkData){
					$html_v.='<table>';
					$html_v.='<tr>';
					$html_v.='<td>No</td>';
					$html_v.='<td>RSS</td>';
					$html_v.='<td>置換文字</td>';
					$html_v.='<td>巡回</td>';
					$html_v.='<td>表示箇所</td>';
					$html_v.='<td>表示順</td>';
					$html_v.='<td>順位固定</td>';
					$html_v.='<td>取得日時</td>';
					$html_v.='<td>サイトURL</td>';
					$html_v.='<td>email</td>';
					$html_v.='<td>パスワード</td>';
					$html_v.='<td>サイト名</td>';
					$html_v.='<td>紹介文</td>';
					$html_v.='<td>バナーの画像</td>';
					$html_v.='<td>横幅(x)</td>';
					$html_v.='<td>高さ(y)</td>';
					$html_v.='<td>自リンク貼付先</td>';
					$html_v.='<td>記事URL</td>';
					$html_v.='<td>記事タイトル</td>';
					$html_v.='<td>記事日時</td>';
					$html_v.='<td>記事の画像</td>';
					$html_v.='<td>横幅(x)</td>';
					$html_v.='<td>高さ(y)</td>';
					$html_v.='<td>ｱｸｾｽ数</td>';
					$html_v.='</tr>';
					for($i=MAX_DIVISION*$post['division'];$i<MAX_DIVISION*($post['division']+1);$i++){
						for($n=0;$n<23;$n++){
							if(isset($LinkData[$i][$n])){
								$column[$n]=exchange_char($LinkData[$i][$n],"HTML");
							}else{
								$column[$n]='';
							}
						}
						$html_v.='<tr>';
						$html_v.='<td>'.($i+1).'</td>';
						$html_v.='<td><input type="text" name="rss[]" maxlength="255" style="width:150px;ime-mode:disabled;" value="'.$column[0].'" /></td>';
						$html_v.='<td><input type="text" name="replace[]" maxlength="255" style="width:100px;ime-mode:disabled;" value="'.$column[20].'" /></td>';
						$html_v.='<td><input type="text" name="crawl[]" maxlength="255" style="width:30px;ime-mode:disabled;" value="'.$column[1].'" /></td>';
						$html_v.='<td><input type="text" name="place[]" maxlength="255" style="width:30px;ime-mode:disabled;" value="'.$column[2].'" /></td>';
						$html_v.='<td><input type="text" name="rank[]" maxlength="255" style="width:30px;ime-mode:disabled;" value="'.$column[3].'" /></td>';
						$html_v.='<td><input type="text" name="rock[]" maxlength="255" style="width:30px;ime-mode:disabled;" value="'.$column[21].'" /></td>';
						$html_v.='<td><input type="text" name="update[]" maxlength="255" style="width:40px;ime-mode:disabled;" value="'.$column[4].'" /></td>';
						$html_v.='<td><input type="text" name="url[]" maxlength="255" style="width:150px;ime-mode:disabled;" value="'.$column[5].'" /></td>';
						$html_v.='<td><input type="text" name="email[]" maxlength="255" style="width:100px;ime-mode:disabled;" value="'.$column[6].'" /></td>';
						$html_v.='<td><input type="text" name="password[]" maxlength="255" style="width:65px;ime-mode:disabled;" value="'.$column[7].'" /></td>';
						$html_v.='<td><input type="text" name="sitename[]" maxlength="255" style="width:150px;ime-mode:disabled;" value="'.$column[8].'" /></td>';
						$html_v.='<td><input type="text" name="introduct[]" maxlength="255" style="width:150px;ime-mode:disabled;" value="'.$column[9].'" /></td>';
						$html_v.='<td><input type="text" name="bannerurl[]" maxlength="255" style="width:100px;ime-mode:disabled;" value="'.$column[10].'" /></td>';
						$html_v.='<td><input type="text" name="bannerw[]" maxlength="255" style="width:40px;ime-mode:disabled;" value="'.$column[11].'" /></td>';
						$html_v.='<td><input type="text" name="bannerh[]" maxlength="255" style="width:40px;ime-mode:disabled;" value="'.$column[12].'" /></td>';
						$html_v.='<td><input type="text" name="linkedurl[]" maxlength="255" style="width:100px;ime-mode:disabled;" value="'.$column[13].'" /></td>';
						$html_v.='<td><input type="text" name="link[]" maxlength="255" style="width:100px;ime-mode:disabled;" value="'.$column[14].'" /></td>';
						$html_v.='<td><input type="text" name="title[]" maxlength="255" style="width:100px;ime-mode:disabled;" value="'.$column[15].'" /></td>';
						$html_v.='<td><input type="text" name="pubDate[]" maxlength="255" style="width:40px;ime-mode:disabled;" value="'.$column[16].'" /></td>';
						$html_v.='<td><input type="text" name="img[]" maxlength="255" style="width:100px;ime-mode:disabled;" value="'.$column[17].'" /></td>';
						$html_v.='<td><input type="text" name="imgw[]" maxlength="255" style="width:40px;ime-mode:disabled;" value="'.$column[18].'" /></td>';
						$html_v.='<td><input type="text" name="imgh[]" maxlength="255" style="width:40px;ime-mode:disabled;" value="'.$column[19].'" /></td>';
						$html_v.='<td><input type="text" name="access[]" maxlength="255" style="width:40px;ime-mode:disabled;" value="'.$column[22].'" /></td>';
						$html_v.='</tr>';
						if(empty($LinkData[$i+1][0]) && empty($LinkData[$i+1][5])){
							break;
						}
					}
					$html_v.='</table>';
				}
				$html_v.='<p>新規追加：</p>';
				$html_v.='<table>';
				$html_v.='<tr>';
				$html_v.='<td>No</td>';
				$html_v.='<td>RSS</td>';
				$html_v.='<td>置換文字</td>';
				$html_v.='<td>巡回</td>';
				$html_v.='<td>表示箇所</td>';
				$html_v.='<td>表示順</td>';
				$html_v.='<td>順位固定</td>';
				$html_v.='<td>取得日時</td>';
				$html_v.='<td>サイトURL</td>';
				$html_v.='<td>email</td>';
				$html_v.='<td>パスワード</td>';
				$html_v.='<td>サイト名</td>';
				$html_v.='<td>紹介文</td>';
				$html_v.='<td>バナーの画像</td>';
				$html_v.='<td>横幅(x)</td>';
				$html_v.='<td>高さ(y)</td>';
				$html_v.='<td>自リンク貼付先</td>';
				$html_v.='<td>記事URL</td>';
				$html_v.='<td>記事タイトル</td>';
				$html_v.='<td>記事日時</td>';
				$html_v.='<td>記事の画像</td>';
				$html_v.='<td>横幅(x)</td>';
				$html_v.='<td>高さ(y)</td>';
				$html_v.='<td>ｱｸｾｽ数</td>';
				$html_v.='</tr>';
				$html_v.='<tr>';
				$html_v.='<td>new</td>';
				$html_v.='<td><input type="text" name="new_rss" maxlength="255" style="width:150px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_replace" maxlength="255" style="width:100px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_crawl" maxlength="255" style="width:30px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_place" maxlength="255" style="width:30px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_rank" maxlength="255" style="width:30px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_rock" maxlength="255" style="width:30px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_update" maxlength="255" style="width:40px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_url" maxlength="255" style="width:150px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_email" maxlength="255" style="width:100px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_password" maxlength="255" style="width:65px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_sitename" maxlength="255" style="width:150px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_introduct" maxlength="255" style="width:150px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_bannerurl" maxlength="255" style="width:100px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_bannerw" maxlength="255" style="width:40px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_bannerh" maxlength="255" style="width:40px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_linkedurl" maxlength="255" style="width:100px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_link" maxlength="255" style="width:100px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_title" maxlength="255" style="width:100px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_pubDate" maxlength="255" style="width:40px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_img" maxlength="255" style="width:100px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_imgw" maxlength="255" style="width:40px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_imgh" maxlength="255" style="width:40px;ime-mode:disabled;" value="" /></td>';
				$html_v.='<td><input type="text" name="new_access" maxlength="255" style="width:30px;ime-mode:disabled;" value="" /></td>';
				$html_v.='</tr>';
				$html_v.='</table>';
				if($post['status']=='add' && $CheckFlag==true){
					$html_v.='<p class="quicklinker_success_message"> ○ 設定を保存しました。</p>';
				}elseif($post['status']=='add'){
					$html_v.='<p class="quicklinker_failure_message"> × 設定の保存に失敗しました。</p>';
				}
				$html_v.='<p><input type="submit" value="編集内容を保存する" /></p>';
				$html_v.='<input type="hidden" name="division" value="'.$post['division'].'"></input>';
				$html_v.='<input type="hidden" name="page" value="edit"></input>';
				$html_v.='<input type="hidden" name="status" value="add"></input>';
				$html_v.='<input type="hidden" name="s_password" value="'.$post['s_password'].'"></input>';
				$html_v.='</form>';
			// ログインページ
			}else{
				$html_v.='<h1>ログイン｜相互リンク登録システム</h1>';
				$html_v.='<hr>';
				$html_v.='<form name="form_setting" method="post" action="'.MY_FILE.'">';
				$html_v.='<p>パスワード：</p>';
				$html_v.='<p><input type="text" name="s_password" maxlength="8" style="width:100px;ime-mode:disabled;"/></p>';
				$html_v.='<hr class="short_hr">';
				$html_v.='<input type="hidden" name="page" value="setup"></input>';
				$html_v.='<p><input type="submit" value="ログイン"/></p>';
				$html_v.='</form>';
			}
			$html_v.=POWERD_BY;
			echo $html_v;
		 ?>
	</body>
</html>