<?php 
	require_once('const.php');
	// 初期値（基本）
	$postkey=array();
	$postkey[]='status';
	$postkey[]='demand';
	$postkey[]='email';
	$postkey[]='sitename';
	$postkey[]='url';
	$postkey[]='rss';
	$postkey[]='bannerurl';
	$postkey[]='linkedurl';
	$postkey[]='password';
	$postkey[]='introduct';
	$postkey[]='inquiry';
	$postkey[]='authentication';
	$postkey[]='edit';
	$postkey[]='authentication_answer';
	foreach($postkey as $value){
		$post[$value]=false;
		if(!empty($_POST[$value])){
			$post[$value]=$_POST[$value];
		}
	}
	unset($value);
	if(!empty($_POST['edit'])){
		$post['status']=false;
	}
	// $post['url'] の修正
	if(substr($post['url'], -1,1)=='/'){
		$post['url']=substr($post['url'], 0,-1);
	}
	// ベースの読み込み
	if(file_exists(BASE_FILE)){
		$html=load_log1(BASE_FILE,'html');
	}
	// 認証用情報の作成
	if($post['authentication_answer']==false){
		$post['authentication_answer']=floor(mt_rand(1000,9999));
	}
	// セッティングデータのロード
	$SettingData=loadSetting();
	$err_flag=0;
	$html_v='';
	foreach($html as $html_tmp){
		$html_v.=$html_tmp;
	}
    // RSS非表示
    if($SettingData[0][25]==1){
        $html_v=str_replace('<link href="./quicklinker.css" rel="stylesheet" type="text/css">','<link href="./quicklinker.css" rel="stylesheet" type="text/css"><link href="./add1.css" rel="stylesheet" type="text/css">',$html_v);
    }
    // バナーURL非表示
    if($SettingData[0][26]==1){
        $html_v=str_replace('<link href="./quicklinker.css" rel="stylesheet" type="text/css">','<link href="./quicklinker.css" rel="stylesheet" type="text/css"><link href="./add2.css" rel="stylesheet" type="text/css">',$html_v);
    }
	$html_v=str_replace('{my_url}',$SettingData[0][4],$html_v);
	$html_v=str_replace('{my_rss}',$SettingData[0][7],$html_v);
	$html_v=str_replace('{banner_x}',$SettingData[0][2],$html_v);
	$html_v=str_replace('{banner_y}',$SettingData[0][3],$html_v);
	$html_v=str_replace('{authentication_question}',authentication_question_generator($post['authentication_answer']),$html_v);
	$poweredby='<br><a href="'.LOGICRAFT.'" target="_blank" style="text-decoration:none;"><span style="color:#707070;">powered by LOGICRAFT</span></a></body>';
	$html_v=str_replace('</body>',$poweredby,$html_v);
	switch($post['status']){
		/*--------------*/
		/*	プレビュー	*/
		/*--------------*/
		case 'preview':
			$LinkData=arrayGetCsv(LINK_LIST_FILE);
			
			// エラーチェック
			if($post['demand']==''){
				$err_flag=1;
				$html_v=str_replace('id="quicklinker_error_message_tr1" style="display:none"','id="quicklinker_error_message_tr1"',$html_v);
			}
			if(strpos($post['email'],'@')==false){
				$err_flag=1;
				$html_v=str_replace('id="quicklinker_error_message_tr2" style="display:none"','id="quicklinker_error_message_tr2"',$html_v);
			}
			if(mb_strlen($post['sitename'],'utf-8')<=0 || mb_strlen($post['sitename'],'utf-8')>30 ){
				$err_flag=1;
				$html_v=str_replace('id="quicklinker_error_message_tr3" style="display:none"','id="quicklinker_error_message_tr3"',$html_v);
			}
			if(mb_strlen($post['url'],'utf-8')<=0){
				$err_flag=1;
				$html_v=str_replace('id="quicklinker_error_message_tr4" style="display:none"','id="quicklinker_error_message_tr4"',$html_v);
			}
			if($post['demand']=='registration'){
                if(is_array($LinkData)){
                    foreach($LinkData as $value){
                        if(strpos($value[5],$post['url'])!==false){
                            $err_flag=1;
                            $html_v=str_replace('id="quicklinker_error_message_tr4" style="display:none">入力に不備があります','id="quicklinker_error_message_tr4">すでに登録があります',$html_v);
                            break;
                        }
                    }
                }
			}elseif($post['demand']=='modification' || $post['demand']=='deletion'){
				$CheckFlag=0;
				foreach($LinkData as $value){
					if(strpos($value[5],$post['url'])!==false){
						$CheckFlag=1;
						break;
					}
				}
				if($CheckFlag==0){
					$err_flag=1;
					$html_v=str_replace('id="quicklinker_error_message_tr4" style="display:none">入力に不備があります','id="quicklinker_error_message_tr4">登録のないURLです',$html_v);
				}
			}
			if($post['demand']=='registration'){
				if(mb_strlen($post['linkedurl'],'utf-8')<=0){
					$err_flag=1;
					$html_v=str_replace('id="quicklinker_error_message_tr6" style="display:none"','id="quicklinker_error_message_tr6"',$html_v);
				}elseif(!searchStringfromURL($post['linkedurl'],"UTF-8",$SettingData[0][4])){
					$err_flag=1;
					$html_v=str_replace('id="quicklinker_error_message_tr6" style="display:none">入力に不備があります','id="quicklinker_error_message_tr6">このURLで当サイトのリンクが見つかりません',$html_v);
				}
			}
			
			if(mb_strlen($post['password'],'utf-8')<4 || mb_strlen($post['password'],'utf-8')>8){
				$err_flag=1;
				$html_v=str_replace('id="quicklinker_error_message_tr7" style="display:none"','id="quicklinker_error_message_tr7"',$html_v);
			}elseif($post['demand']=='modification' || $post['demand']=='deletion'){
				$CheckFlag=0;
				foreach($LinkData as $value){
					if(strpos($value[7],$post['password'])!==false){
						$CheckFlag=1;
						break;
					}
				}
				if($CheckFlag==0){
					$err_flag=1;
					$html_v=str_replace('id="quicklinker_error_message_tr7" style="display:none">入力に不備があります','id="quicklinker_error_message_tr7">パスワードが一致しません',$html_v);
				}
			}
			if($post['authentication']<>$post['authentication_answer']){
				$err_flag=1;
				$html_v=str_replace('id="quicklinker_error_message_tr10" style="display:none"','id="quicklinker_error_message_tr10"',$html_v);
			}
			// エラーがない場合
			if($err_flag==0){
				$html_v=str_replace('class="quicklinker_span__des_item"','style="display:none"',$html_v);
				$html_v=str_replace('<input class="quicklinker_radio_td1" type="radio" name="demand" value="registration" checked>登録</input>&nbsp;','',$html_v);
				$html_v=str_replace('<input class="quicklinker_radio_td1" type="radio" name="demand" value="modification">修正</input>&nbsp;','',$html_v);
				$html_v=str_replace('<input class="quicklinker_radio_td1" type="radio" name="demand" value="deletion">削除</input>','<input type="hidden" name="demand" value="'.exchange_char($post['demand'],"HTML").'"></input><div class="quicklinker_div_output"">'.exdemand($post['demand']).'</div>',$html_v);
				$html_v=str_replace('<input class="quicklinker_input_td2" type="text" name="email" />','<input class="quicklinker_input_td2" type="hidden" name="email" value="'.exchange_char($post['email'],"HTML").'"></input><div class="quicklinker_div_output">'.exchange_char($post['email'],"HTML").'</div>',$html_v);
				$html_v=str_replace('<input class="quicklinker_input_td3" type="text" name="sitename" maxlength="30" />','<input type="hidden" name="sitename" value="'.exchange_char($post['sitename'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['sitename'],"HTML").'</div>',$html_v);
				$html_v=str_replace('<input class="quicklinker_input_td4" type="text" name="url" />','<input type="hidden" name="url" value="'.exchange_char($post['url'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['url'],"HTML").'</div>',$html_v);
				$html_v=str_replace('<input class="quicklinker_input_td12" type="text" name="rss" />','<input type="hidden" name="rss" value="'.exchange_char($post['rss'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['rss'],"HTML").'</div>',$html_v);
				if($post['bannerurl']!==false){
					$html_v=str_replace('<input class="quicklinker_input_td5" type="text" name="bannerurl" />','<input type="hidden" name="bannerurl" value="'.exchange_char($post['bannerurl'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['bannerurl'],"HTML").'</div><br><img src="'.exchange_char($post['bannerurl'],"HTML").'" width="'.exchange_char($SettingData[0][2],"HTML").'" height="'.exchange_char($SettingData[0][3],"HTML").'" />',$html_v);
				}else{
					$html_v=str_replace('<input class="quicklinker_input_td5" type="text" name="bannerurl" />','<input type="hidden" name="bannerurl" value="'.exchange_char($post['bannerurl'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['bannerurl'],"HTML").'</div>',$html_v);
				}
				$html_v=str_replace('<input class="quicklinker_input_td6" type="text" name="linkedurl" />','<input type="hidden" name="linkedurl" value="'.exchange_char($post['linkedurl'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['linkedurl'],"HTML").'</div>',$html_v);
				$html_v=str_replace('<input class="quicklinker_input_td7" type="text" name="password" maxlength="8" />','<input type="hidden" name="password" value="'.exchange_char($post['password'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['password'],"HTML").'</div>',$html_v);
				$html_v=str_replace('<textarea class="quicklinker_textarea_td8" name="introduct" maxlength="200"></textarea>','<input type="hidden" name="introduct" value="'.exchange_char($post['introduct'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['introduct'],"HTML").'</div>',$html_v);
				$html_v=str_replace('<textarea class="quicklinker_textarea_td9" name="inquiry" maxlength="200"></textarea>','<input type="hidden" name="inquiry" value="'.exchange_char($post['inquiry'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['inquiry'],"HTML").'</div>',$html_v);
				$html_v=str_replace('<input class="quicklinker_input_td10" type="text" name="authentication" />','<input type="hidden" name="authentication" value="'.exchange_char($post['authentication'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['authentication'],"HTML").'</div>',$html_v);
				$html_v=str_replace('<input type="submit" value="確認画面へ" />','<input type="submit" value="'.exdemand($post['demand']).'する" />&nbsp;<input type="submit" name="edit" value="編集する" />',$html_v);
				$html_v=str_replace('</form>','<input type="hidden" name="status" value="send"><input type="hidden" name="authentication_answer" value="'.$post['authentication_answer'].'"></form>',$html_v);
			// エラーがある場合
			}else{
				if($post['demand']=='modification'){
					$html_v=str_replace('value="registration" checked','value="registration"',$html_v);
					$html_v=str_replace('value="modification"','value="modification" checked',$html_v);
				}elseif($post['demand']=='deletion'){
					$html_v=str_replace('value="registration" checked','value="registration"',$html_v);
					$html_v=str_replace('value="deletion"','value="deletion" checked',$html_v);
				}
				$html_v=str_replace('class="quicklinker_input_td2"','class="quicklinker_input_td2" value="'.exchange_char($post['email'],"HTML").'"',$html_v);
				$html_v=str_replace('class="quicklinker_input_td3"','class="quicklinker_input_td3" value="'.exchange_char($post['sitename'],"HTML").'"',$html_v);
				$html_v=str_replace('class="quicklinker_input_td4"','class="quicklinker_input_td4" value="'.exchange_char($post['url'],"HTML").'"',$html_v);
				$html_v=str_replace('class="quicklinker_input_td12"','class="quicklinker_input_td12" value="'.exchange_char($post['rss'],"HTML").'"',$html_v);
				$html_v=str_replace('class="quicklinker_input_td5"','class="quicklinker_input_td5" value="'.exchange_char($post['bannerurl'],"HTML").'"',$html_v);
				$html_v=str_replace('class="quicklinker_input_td6"','class="quicklinker_input_td6" value="'.exchange_char($post['linkedurl'],"HTML").'"',$html_v);
				$html_v=str_replace('class="quicklinker_input_td7"','class="quicklinker_input_td7" value="'.exchange_char($post['password'],"HTML").'"',$html_v);
				$html_v=str_replace('<textarea class="quicklinker_textarea_td8" name="introduct" maxlength="200"></textarea>','<textarea class="quicklinker_textarea_td8" name="introduct" maxlength="200">'.exchange_char($post['introduct'],"HTML").'</textarea>',$html_v);
				$html_v=str_replace('<textarea class="quicklinker_textarea_td9" name="inquiry" maxlength="200"></textarea>','<textarea class="quicklinker_textarea_td9" name="inquiry" maxlength="200">'.exchange_char($post['inquiry'],"HTML").'</textarea>',$html_v);
				$html_v=str_replace('</form>','<input type="hidden" name="status" value="preview"><input type="hidden" name="authentication_answer" value="'.$post['authentication_answer'].'"></form>',$html_v);
			}
		break;
		/*--------------*/
		/*	送信		*/
		/*--------------*/
		case 'send':
			$LinkData=arrayGetCsv(LINK_LIST_FILE);
			/* -------------------------------
			 column key
				0 :	rss			RSSアドレス
				1 :	crawl		RSS巡回・表示 0=しない 1=する(画像有) 2=する(画像なし)
				2 :	place		RSS記事の表示箇所 初期=0
				3 :	rank		リンク表示順位 0=非表示 値なし=最下位 昇順
				4 :	update		RSS取得日時 unixタイムスタンプ （最後に巡回した日時）
				5 :	url			サイトURL
				6 :	email		email
				7 :	password	パスワード
				8 :	sitename	サイト名
				9 :	introduct	紹介文
				10:	bannerurl	バナー画像 URL
				11:	bannerw		バナー画像 横幅
				12:	bannerh		バナー画像 縦幅
				13:	linkedurl	自サイトリンク登録先URL
				14:	link		記事URL
				15:	title		記事タイトル
				16:	pubDate		記事の日時 unixタイムスタンプ
				17:	img			記事の画像 URL 
				18:	imgw		記事の画像 横幅
				19:	imgh		記事の画像 縦幅
				20:	replace		置換文字
			--------------------------------*/
			// 登録
			if($post['demand']=='registration'){
				$crawl=0;
				if(!empty($post['rss'])){
					$crawl=1;
				}
				$place=0;
				$update=0;
				$rank=count($LinkData)+1;
				$bannerw=0;
				$bannerh=0;
				if(!empty($post['bannerurl'])){
					$imginfo=@getimagesize($post['bannerurl']);
					$bannerw=$imginfo[0];
					$bannerh=$imginfo[1];
				}
				$LinkData[]=array(	$post['rss'],
									$crawl,
									$place,
									$rank,
									$update,
									$post['url'],
									$post['email'],
									$post['password'],
									$post['sitename'],
									$post['introduct'],
									$post['bannerurl'],
									$bannerw,
									$bannerh,
									$post['linkedurl'],
									'',
									'',
									'',
									'',
									'',
									'',
									$post['url']);
				if(arrayPutCsv(LINK_LIST_FILE,$LinkData)){
					$CheckFlag=true;
				}else{
					$CheckFlag=false;
				}
			// 修正
			}elseif($post['demand']=='modification'){
				$CheckFlag=false;
				foreach($LinkData as &$value){
					if(strpos($value[5],$post['url'])!==false){
						$crawl=0;
						if(!empty($post['rss'])){
							$crawl=1;
						}
						$bannerw=0;
						$bannerh=0;
						if(!empty($post['bannerurl'])){
							$imginfo=@getimagesize($post['bannerurl']);
							$bannerw=$imginfo[0];
							$bannerh=$imginfo[1];
						}
						$value[0]=$post['rss'];
						$value[1]=$crawl;
						$value[5]=$post['url'];
						$value[6]=$post['email'];
						$value[8]=$post['sitename'];
						$value[9]=$post['introduct'];
						$value[10]=$post['bannerurl'];
						$value[11]=$bannerw;
						$value[12]=$bannerh;
						$CheckFlag=true;
						break;
					}
				}
				if($CheckFlag==true){
					if(arrayPutCsv(LINK_LIST_FILE,$LinkData)){
						$CheckFlag=true;
					}else{
						$CheckFlag=false;
					}
				}
			// 削除
			}elseif($post['demand']=='deletion'){
				$CheckFlag=false;
				$DelRow=0;
				foreach($LinkData as &$value){
					if(strpos($value[5],$post['url'])!==false){
						$CheckFlag=true;
						break;
					}
					$DelRow++;
				}
				if($CheckFlag==true){
					$del_item = array_splice($LinkData,$DelRow,1);
					if(arrayPutCsv(LINK_LIST_FILE,$LinkData)){
						$CheckFlag=true;
					}else{
						$CheckFlag=false;
					}
				}
			}
			$html_v=str_replace('class="quicklinker_span__des_item"','style="display:none"',$html_v);
			$html_v=str_replace('<input class="quicklinker_radio_td1" type="radio" name="demand" value="registration" checked>登録</input>&nbsp;','',$html_v);
			$html_v=str_replace('<input class="quicklinker_radio_td1" type="radio" name="demand" value="modification">修正</input>&nbsp;','',$html_v);
			$html_v=str_replace('<input class="quicklinker_radio_td1" type="radio" name="demand" value="deletion">削除</input>','<input type="hidden" name="demand" value="'.exchange_char($post['demand'],"HTML").'"></input><div class="quicklinker_div_output"">'.exdemand($post['demand']).'</div>',$html_v);
			$html_v=str_replace('<input class="quicklinker_input_td2" type="text" name="email" />','<input class="quicklinker_input_td2" type="hidden" name="email" value="'.exchange_char($post['email'],"HTML").'"></input><div class="quicklinker_div_output">'.exchange_char($post['email'],"HTML").'</div>',$html_v);
			$html_v=str_replace('<input class="quicklinker_input_td3" type="text" name="sitename" maxlength="30" />','<input type="hidden" name="sitename" value="'.exchange_char($post['sitename'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['sitename'],"HTML").'</div>',$html_v);
			$html_v=str_replace('<input class="quicklinker_input_td4" type="text" name="url" />','<input type="hidden" name="url" value="'.exchange_char($post['url'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['url'],"HTML").'</div>',$html_v);
			$html_v=str_replace('<input class="quicklinker_input_td12" type="text" name="rss" />','<input type="hidden" name="rss" value="'.exchange_char($post['rss'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['rss'],"HTML").'</div>',$html_v);
			if($post['bannerurl']!==false){
				$html_v=str_replace('<input class="quicklinker_input_td5" type="text" name="bannerurl" />','<input type="hidden" name="bannerurl" value="'.exchange_char($post['bannerurl'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['bannerurl'],"HTML").'</div><br><img src="'.exchange_char($post['bannerurl'],"HTML").'" width="'.exchange_char($SettingData[0][2],"HTML").'" height="'.exchange_char($SettingData[0][3],"HTML").'" />',$html_v);
			}else{
				$html_v=str_replace('<input class="quicklinker_input_td5" type="text" name="bannerurl" />','<input type="hidden" name="bannerurl" value="'.exchange_char($post['bannerurl'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['bannerurl'],"HTML").'</div>',$html_v);
			}
			$html_v=str_replace('<input class="quicklinker_input_td6" type="text" name="linkedurl" />','<input type="hidden" name="linkedurl" value="'.exchange_char($post['linkedurl'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['linkedurl'],"HTML").'</div>',$html_v);
			$html_v=str_replace('<input class="quicklinker_input_td7" type="text" name="password" maxlength="8" />','<input type="hidden" name="password" value="'.exchange_char($post['password'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['password'],"HTML").'</div>',$html_v);
			$html_v=str_replace('<textarea class="quicklinker_textarea_td8" name="introduct" maxlength="200"></textarea>','<input type="hidden" name="introduct" value="'.exchange_char($post['introduct'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['introduct'],"HTML").'</div>',$html_v);
			$html_v=str_replace('<textarea class="quicklinker_textarea_td9" name="inquiry" maxlength="200"></textarea>','<input type="hidden" name="inquiry" value="'.exchange_char($post['inquiry'],"HTML").'"></input><div class="quicklinker_div_output"">'.exchange_char($post['inquiry'],"HTML").'</div>',$html_v);
			$html_v=str_replace('<input class="quicklinker_input_td10" type="text" name="authentication" />','<input type="hidden" name="authentication" value="'.$post['authentication'].'"></input><div class="quicklinker_div_output"">'.$post['authentication'].'</div>',$html_v);
			
			// エラーがない場合
			if($CheckFlag==true){
				// 完了ﾒｯｾｰｼﾞ
				$html_v=str_replace('<input type="submit" value="確認画面へ" />','<span class="quicklinker_success_message"> ○ '.empty($_POST['status']).exdemand($post['demand']).'は完了しました。</span><br><br><br><a href="./quicklinker.php">戻る</a>',$html_v);

				if(mb_strlen($post['email'],'utf-8')>2){
					/* -- 相互リンク希望者 -- */
					mb_language("ja");
					mb_internal_encoding("UTF-8");
					// 変数の格納
					$mailto=$post['email'];
					$subject='【相互リンク完了のお知らせ】';
					$header='From:info@'.$_SERVER["SERVER_NAME"];
					$body='━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
本メールは、フォームに入力された方への自動返信です。
!!! このメールに直接返信はしないでください !!!
返信いただいてもフォーム設置者宛には届きません。
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━

'.$post['sitename'].'様

相互リンク登録フォームのご利用ありがとうございます。
相互リンクは無事完了致しました。

登録内容は以下のとおりです、ご確認ください。
――――――――――――――――――――――――――――――――――
■ご希望：
'.exdemand($post['demand']).'
■メールアドレス：
'.$post['email'].'
■サイト名：
'.$post['sitename'].'
■ＵＲＬ：
'.$post['url'].'
■ＲＳＳ：
'.$post['rss'].'
■バナーＵＲＬ：
'.$post['bannerurl'].'
■パスワード：
'.$post['password'].'
■紹介文：
'.$post['introduct'].'
■その他、問い合わせ等：
'.$post['inquiry'].'
――――――――――――――――――――――――――――――――――
なお、登録内容の修正や削除する場合は、上記の
登録内容（ＵＲＬ、パスワード）が必要と
なりますので、本メールは大切に保管して下さい。
――――――――――――――――――――――――――――――――――
サイト名：'.$SettingData[0][6].'
ＵＲＬ：'.$SettingData[0][4].'
ＲＳＳ：'.$SettingData[0][7].'
メール：'.$SettingData[0][1].'
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━';
					// 送信
					if(mb_send_mail($mailto,$subject,$body,$header)){
						// 成功
					}else{
						// 失敗
					}
				}
				/* -- 管理者用 -- */
				if(mb_strlen($SettingData[0][1],'utf-8')>2){
					mb_language("ja");
					mb_internal_encoding("UTF-8");
					// 変数の格納
					$mailto=$SettingData[0][1];
					$subject='【相互リンク完了のお知らせ】';
					$header='From:info@'.$_SERVER["SERVER_NAME"];
					$body='━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
本メールは、フォームに入力された方への自動返信です。
!!! このメールに直接返信はしないでください !!!
返信いただいてもフォーム設置者宛には届きません。
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━

webmaster様

'.$post['sitename'].'様から
相互リンク登録が行われました。

登録内容は以下のとおりです、ご確認ください。
――――――――――――――――――――――――――――――――――
■ご希望：
'.exdemand($post['demand']).'
■メールアドレス：
'.$post['email'].'
■サイト名：
'.$post['sitename'].'
■ＵＲＬ：
'.$post['url'].'
■ＲＳＳ：
'.$post['rss'].'
■バナーＵＲＬ：
'.$post['bannerurl'].'
■パスワード：
'.$post['password'].'
■紹介文：
'.$post['introduct'].'
■その他、問い合わせ等：
'.$post['inquiry'].'
――――――――――――――――――――――――――――――――――
サイト名：'.$SettingData[0][6].'
ＵＲＬ：'.$SettingData[0][4].'
ＲＳＳ：'.$SettingData[0][7].'
メール：'.$SettingData[0][1].'
――――――――――――――――――――――――――――――――――';
					// 送信
					if(mb_send_mail($mailto,$subject,$body,$header)){
						// 成功
					}else{
						// 失敗
					}
				}
			// エラーがある場合
			}else{
				$html_v=str_replace('<input type="submit" value="確認画面へ" />','<span class="quicklinker_failure_message"> × '.exdemand($post['demand']).'は失敗しました。</span><br><br><br><a href="./quicklinker.php">戻る</a>',$html_v);
			}
		break;
		/*--------------*/
		/*	入力時		*/
		/*--------------*/
		default:
			// 置き換え
		
			if($post['demand']=='modification'){
				$html_v=str_replace('value="registration" checked','value="registration"',$html_v);
				$html_v=str_replace('value="modification"','value="modification" checked',$html_v);
			}elseif($post['demand']=='deletion'){
				$html_v=str_replace('value="registration" checked','value="registration"',$html_v);
				$html_v=str_replace('value="deletion"','value="deletion" checked',$html_v);
			}
			$html_v=str_replace('class="quicklinker_input_td2"','class="quicklinker_input_td2" value="'.exchange_char($post['email'],"HTML").'"',$html_v);
			$html_v=str_replace('class="quicklinker_input_td3"','class="quicklinker_input_td3" value="'.exchange_char($post['sitename'],"HTML").'"',$html_v);
			$html_v=str_replace('class="quicklinker_input_td4"','class="quicklinker_input_td4" value="'.exchange_char($post['url'],"HTML").'"',$html_v);
			$html_v=str_replace('class="quicklinker_input_td12"','class="quicklinker_input_td12" value="'.exchange_char($post['rss'],"HTML").'"',$html_v);
			$html_v=str_replace('class="quicklinker_input_td5"','class="quicklinker_input_td5" value="'.exchange_char($post['bannerurl'],"HTML").'"',$html_v);
			$html_v=str_replace('class="quicklinker_input_td6"','class="quicklinker_input_td6" value="'.exchange_char($post['linkedurl'],"HTML").'"',$html_v);
			$html_v=str_replace('class="quicklinker_input_td7"','class="quicklinker_input_td7" value="'.exchange_char($post['password'],"HTML").'"',$html_v);
			$html_v=str_replace('<textarea class="quicklinker_textarea_td8" name="introduct" maxlength="200"></textarea>','<textarea class="quicklinker_textarea_td8" name="introduct" maxlength="200">'.exchange_char($post['introduct'],"HTML").'</textarea>',$html_v);
			$html_v=str_replace('<textarea class="quicklinker_textarea_td9" name="inquiry" maxlength="200"></textarea>','<textarea class="quicklinker_textarea_td9" name="inquiry" maxlength="200">'.exchange_char($post['inquiry'],"HTML").'</textarea>',$html_v);
			$html_v=str_replace('</form>','<input type="hidden" name="status" value="preview"><input type="hidden" name="authentication_answer" value="'.$post['authentication_answer'].'"></form>',$html_v);
			
		break;
	}
	echo $html_v;
?>